## rust-bat 0.24.0

=== tests/syntax-tests/source/Requirements.txt/requirements.txt ===
# Options
--allow-external
--allow-unverified

# Freeze packages
alabaster==0.7.6
Babel>=2.9.1
docutils==0.12
gevent_subprocess==0.1.2
gitpython==3.0.7
hg-diff==1.2.4
Jinja2>=2.8.1
MarkupSafe==0.23
Pygments==2.7.4
pytz==2015.7
six==1.10.0
snowballstemmer==1.2.0
Sphinx==1.3.3
sphinx-rtd-theme==0.1.9
svn==1.0.1
zope.interface==4.2.0

# Examples from PEP508
# c.f. https://www.python.org/dev/peps/pep-0508/
requests [security,tests] >= 2.8.1, == 2.8.* ; python_version < "2.7" # Comment
pip @ https://github.com/pypa/pip/archive/1.3.1.zip#sha1=da9234ee9982d4bbb3c72346a6de940a148ea686
name @ gopher:/foo/com"
foobar[quux]<2,>=3; os_name=='a'

# VCS repositories
-e git+git://git.myproject.org/MyProject#egg=MyProject # Git
-e git://git.myproject.org/MyProject.git@v1.0#egg=MyProject
-e hg+https://hg.myproject.org/MyProject#egg=MyProject # Mercurial
-e hg+http://hg.myproject.org/MyProject@da39a3ee5e6b#egg=MyProject
-e svn+http://svn.myproject.org/svn/MyProject/trunk@2019#egg=MyProject # Subversion
-e bzr+ssh://user@myproject.org/MyProject/trunk#egg=MyProject # Bazaar
-e bzr+https://bzr.myproject.org/MyProject/trunk@2019#egg=MyProject

# Project or archive URL
https://github.com/pallets/click/archive/7.0.zip#egg=click

## rust-bat 0.11.0

=== debian/changelog ===
rust-bat (0.11.0-2) unstable; urgency=medium

  * Team upload.
  * Package bat 0.11.0 from crates.io using debcargo 2.3.1-alpha.0
  * Add the tests as part of the whitelist
  * Source upload for transition
  * Ship the manpage (#935076)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 21 Aug 2019 22:27:14 +0200

rust-bat (0.11.0-1) unstable; urgency=medium

  * Team upload.

  [ Helen Koike ]
  * Package bat 0.11.0 from crates.io using debcargo 2.2.10
    Closes: #907080

  [ Sylvestre Ledru ]
  * Package bat 0.10.0 from crates.io using debcargo 2.2.10

  [ Paride Legovini ]
  * Package bat 0.4.1 from crates.io using debcargo 2.2.3

 -- Helen Koike <helen@koikeco.de>  Fri, 26 Jul 2019 11:28:35 -0300

=== debian/control ===
Source: rust-bat
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-colours-1+default-dev,
 librust-ansi-term-0.11+default-dev,
 librust-atty-0.2+default-dev (>= 0.2.2-~~),
 librust-clap-2+color-dev (>= 2.33-~~),
 librust-clap-2+default-dev (>= 2.33-~~),
 librust-clap-2+suggestions-dev (>= 2.33-~~),
 librust-clap-2+wrap-help-dev (>= 2.33-~~),
 librust-console-0.7+default-dev,
 librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
 librust-dirs-2+default-dev,
 librust-encoding-0.2+default-dev,
 librust-error-chain-0.12-dev,
 librust-git2-0.8-dev,
 librust-lazy-static-1+default-dev (>= 1.3-~~),
 librust-shell-words-0.1+default-dev,
 librust-syntect-3+dump-create-dev (>= 3.2.0-~~),
 librust-syntect-3+dump-load-dev (>= 3.2.0-~~),
 librust-syntect-3+parsing-dev (>= 3.2.0-~~),
 librust-syntect-3+yaml-load-dev (>= 3.2.0-~~),
 librust-wild-2+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <pl@ninthfloor.org>,
 Helen Koike <helen@koikeco.de>
Standards-Version: 4.2.0
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/bat]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/bat
Homepage: https://github.com/sharkdp/bat

Package: bat
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: cat(1) clone with syntax highlighting and git integration
 bat is a drop-in cat(1) replacement featuring:
 .
  * syntax highlighting for a large number of languages;
  * git integration;
  * automatic paging;
  * a user-friendly command-line interface.
 .
 This package contains the following binaries built from the Rust crate
 "bat":
  - bat

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.11.0 --all-targets --all-features
Depends: dh-cargo (>= 18), librust-assert-cmd-0.11+default-dev (>= 0.11.1-~~), librust-escargot-0.5+default-dev, librust-tempdir-0.3+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-bat 0.12.1

=== debian/changelog ===
rust-bat (0.12.1-6) unstable; urgency=medium

  * Team upload.
  * Package bat 0.12.1 from crates.io using debcargo 2.4.3
  * Bump dependency on rust-git2, the old version seems to be
    broken with the new libgit2.

 -- Peter Michael Green <plugwash@debian.org>  Mon, 07 Dec 2020 05:23:43 +0000

rust-bat (0.12.1-5) unstable; urgency=medium

  * Add myself to the uploaders
  * try to unbreak it afer some recent changes (Closes: #973950)
  * Package bat 0.12.1 from crates.io using debcargo 2.4.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Nov 2020 22:00:22 +0100

rust-bat (0.12.1-4) unstable; urgency=medium

  * Team upload.
  * Package bat 0.12.1 from crates.io using debcargo 2.4.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 18 Oct 2020 00:17:46 +0200

rust-bat (0.12.1-3) unstable; urgency=medium

  * Team upload.
  * Package bat 0.12.1 from crates.io using debcargo 2.4.3
  * Other uploads + update the unbreak it
    (Closes: #956514, #970488)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 04 Oct 2020 17:23:46 +0200

rust-bat (0.12.1-2) unstable; urgency=medium

  * Team upload.
  * plist dep updated (Closes: #956514)
  * Decrease git2 version from 0.13 to 0.11
  * Package bat 0.12.1 from crates.io using debcargo 2.4.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 10 May 2020 13:41:45 +0200

rust-bat (0.12.1-1) unstable; urgency=medium

  [ Paride Legovini ]
  * Rename the binary and its manpage from 'bat' to 'batcat'.
    (closes: #934850, #935578)
  * Build-Depend on dh-exec.
  * Update the package description to warn about the rename.
  * Add a README.Debian warning about the rename.
  * Exclude the benchmarks and examples code from the source package.

  [ Sylvestre Ledru ]
  * Package bat 0.12.1 from crates.io using debcargo 2.4.0
  * Remove relax-dep-versions.patch as it is applied upstream

 -- Paride Legovini <pl@ninthfloor.org>  Thu, 12 Dec 2019 00:50:32 +0000

=== debian/control ===
Source: rust-bat
Section: utils
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-colours-1+default-dev,
 librust-ansi-term-0.12+default-dev (>= 0.12.1-~~),
 librust-atty-0.2+default-dev (>= 0.2.13-~~),
 librust-clap-2+color-dev (>= 2.33-~~),
 librust-clap-2+default-dev (>= 2.33-~~),
 librust-clap-2+suggestions-dev (>= 2.33-~~),
 librust-clap-2+wrap-help-dev (>= 2.33-~~),
 librust-console-0.8+default-dev,
 librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
 librust-dirs-3+default-dev,
 librust-encoding-0.2+default-dev,
 librust-error-chain-0.12-dev,
 librust-git2-0.13-dev,
 librust-lazy-static-1+default-dev (>= 1.4-~~),
 librust-shell-words-1+default-dev,
 librust-syntect-3+dump-create-dev (>= 3.2.1-~~),
 librust-syntect-3+dump-load-dev (>= 3.2.1-~~),
 librust-syntect-3+parsing-dev (>= 3.2.1-~~),
 librust-syntect-3+yaml-load-dev (>= 3.2.1-~~),
 librust-wild-2+default-dev,
 dh-exec
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <paride@debian.org>,
 Helen Koike <helen@koikeco.de>,
 Sylvestre ledru <sylvestre@debian.org>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/bat]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/bat
Homepage: https://github.com/sharkdp/bat

Package: bat
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: cat(1) clone with syntax highlighting and git integration
 bat is a drop-in cat(1) replacement featuring:
 .
  * syntax highlighting for a large number of languages;
  * git integration;
  * automatic paging;
  * a user-friendly command-line interface.
 .
 In this package the executable and its manpage have been renamed from ‘bat’ to
 ‘batcat’ because of a file name clash with another Debian package.
 .
 This package contains the following binaries built from the Rust crate
 "bat":
  - bat

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem cargo

override_dh_auto_install:
	# Once #946616 is fixed run `dh_auto_install --destdir=debian/tmp/`
	# and use d/bat.install with dh-exec to install the renamed binary.
	dh_auto_install
	mv debian/bat/usr/bin/bat debian/bat/usr/bin/batcat

## rust-bat 0.19.0

=== debian/changelog ===
rust-bat (0.19.0-1) unstable; urgency=medium

  * Team upload.
  * Package bat 0.19.0 from crates.io using debcargo 2.5.0

  [ Sylvestre Ledru ]
  * Package bat 0.19.0 from crates.io using debcargo 2.5.0

 -- Peter Michael Green <plugwash@debian.org>  Sat, 12 Feb 2022 10:18:12 +0100

rust-bat (0.18.3-3) unstable; urgency=medium

  * Team upload.
  * Package bat 0.18.3 from crates.io using debcargo 2.5.0
  * Drop patch lowering syntect dep.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 15 Jan 2022 23:38:50 +0000

rust-bat (0.18.3-2) unstable; urgency=medium

  * Fix the sections

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 14 Jan 2022 19:10:15 +0100

rust-bat (0.18.3-1) unstable; urgency=medium

  * Team upload.
  * Package bat 0.18.3 from crates.io using debcargo 2.5.0
    Disable the manpage for now

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 01 Jan 2022 12:59:12 +0100

=== debian/control ===
Source: rust-bat
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-colours-1+default-dev,
 librust-ansi-term-0.12+default-dev (>= 0.12.1-~~),
 librust-atty-0.2+default-dev (>= 0.2.14-~~),
 librust-bincode-1+default-dev,
 librust-clap-2+default-dev,
 librust-clircle-0.3+default-dev,
 librust-console-0.13+default-dev,
 librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
 librust-dirs-next-2+default-dev,
 librust-encoding-0.2+default-dev,
 librust-flate2-1+default-dev,
 librust-git2-0.13-dev,
 librust-globset-0.4+default-dev,
 librust-grep-cli-0.1+default-dev (>= 0.1.6-~~),
 librust-once-cell-1+default-dev (>= 1.9-~~),
 librust-path-abs-0.5-dev,
 librust-regex-1+default-dev,
 librust-semver-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-yaml-0.8+default-dev,
 librust-shell-words-1+default-dev,
 librust-syntect-4+dump-create-dev (>= 4.6.0-~~),
 librust-syntect-4+parsing-dev (>= 4.6.0-~~),
 librust-syntect-4+regex-onig-dev (>= 4.6.0-~~),
 librust-syntect-4+yaml-load-dev (>= 4.6.0-~~),
 librust-thiserror-1+default-dev,
 librust-unicode-width-0.1+default-dev,
 librust-walkdir-2+default-dev,
 librust-wild-2+default-dev,
 dh-exec,
 librust-term-size-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <paride@debian.org>,
 Helen Koike <helen@koikeco.de>,
 Sylvestre ledru <sylvestre@debian.org>
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/bat]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/bat
Homepage: https://github.com/sharkdp/bat
Rules-Requires-Root: no

Package: librust-bat-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-ansi-colours-1+default-dev,
 librust-ansi-term-0.12+default-dev (>= 0.12.1-~~),
 librust-atty-0.2+default-dev (>= 0.2.14-~~),
 librust-bincode-1+default-dev,
 librust-clap-2+default-dev,
 librust-clircle-0.3+default-dev,
 librust-console-0.13+default-dev,
 librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
 librust-dirs-next-2+default-dev,
 librust-encoding-0.2+default-dev,
 librust-flate2-1+default-dev,
 librust-git2-0.13-dev,
 librust-globset-0.4+default-dev,
 librust-grep-cli-0.1+default-dev (>= 0.1.6-~~),
 librust-once-cell-1+default-dev (>= 1.9-~~),
 librust-path-abs-0.5-dev,
 librust-regex-1+default-dev,
 librust-semver-1+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-yaml-0.8+default-dev,
 librust-shell-words-1+default-dev,
 librust-syntect-4+dump-create-dev (>= 4.6.0-~~),
 librust-syntect-4+parsing-dev (>= 4.6.0-~~),
 librust-syntect-4+regex-fancy-dev (>= 4.6.0-~~),
 librust-syntect-4+regex-onig-dev (>= 4.6.0-~~),
 librust-syntect-4+yaml-load-dev (>= 4.6.0-~~),
 librust-thiserror-1+default-dev,
 librust-unicode-width-0.1+default-dev,
 librust-walkdir-2+default-dev,
 librust-wild-2+default-dev
Provides:
 librust-bat+application-dev (= ${binary:Version}),
 librust-bat+atty-dev (= ${binary:Version}),
 librust-bat+build-assets-dev (= ${binary:Version}),
 librust-bat+clap-dev (= ${binary:Version}),
 librust-bat+default-dev (= ${binary:Version}),
 librust-bat+dirs-next-dev (= ${binary:Version}),
 librust-bat+git-dev (= ${binary:Version}),
 librust-bat+git2-dev (= ${binary:Version}),
 librust-bat+grep-cli-dev (= ${binary:Version}),
 librust-bat+minimal-application-dev (= ${binary:Version}),
 librust-bat+paging-dev (= ${binary:Version}),
 librust-bat+regex-dev (= ${binary:Version}),
 librust-bat+regex-fancy-dev (= ${binary:Version}),
 librust-bat+regex-onig-dev (= ${binary:Version}),
 librust-bat+shell-words-dev (= ${binary:Version}),
 librust-bat+walkdir-dev (= ${binary:Version}),
 librust-bat+wild-dev (= ${binary:Version}),
 librust-bat-0-dev (= ${binary:Version}),
 librust-bat-0+application-dev (= ${binary:Version}),
 librust-bat-0+atty-dev (= ${binary:Version}),
 librust-bat-0+build-assets-dev (= ${binary:Version}),
 librust-bat-0+clap-dev (= ${binary:Version}),
 librust-bat-0+default-dev (= ${binary:Version}),
 librust-bat-0+dirs-next-dev (= ${binary:Version}),
 librust-bat-0+git-dev (= ${binary:Version}),
 librust-bat-0+git2-dev (= ${binary:Version}),
 librust-bat-0+grep-cli-dev (= ${binary:Version}),
 librust-bat-0+minimal-application-dev (= ${binary:Version}),
 librust-bat-0+paging-dev (= ${binary:Version}),
 librust-bat-0+regex-dev (= ${binary:Version}),
 librust-bat-0+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0+regex-onig-dev (= ${binary:Version}),
 librust-bat-0+shell-words-dev (= ${binary:Version}),
 librust-bat-0+walkdir-dev (= ${binary:Version}),
 librust-bat-0+wild-dev (= ${binary:Version}),
 librust-bat-0.19-dev (= ${binary:Version}),
 librust-bat-0.19+application-dev (= ${binary:Version}),
 librust-bat-0.19+atty-dev (= ${binary:Version}),
 librust-bat-0.19+build-assets-dev (= ${binary:Version}),
 librust-bat-0.19+clap-dev (= ${binary:Version}),
 librust-bat-0.19+default-dev (= ${binary:Version}),
 librust-bat-0.19+dirs-next-dev (= ${binary:Version}),
 librust-bat-0.19+git-dev (= ${binary:Version}),
 librust-bat-0.19+git2-dev (= ${binary:Version}),
 librust-bat-0.19+grep-cli-dev (= ${binary:Version}),
 librust-bat-0.19+minimal-application-dev (= ${binary:Version}),
 librust-bat-0.19+paging-dev (= ${binary:Version}),
 librust-bat-0.19+regex-dev (= ${binary:Version}),
 librust-bat-0.19+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0.19+regex-onig-dev (= ${binary:Version}),
 librust-bat-0.19+shell-words-dev (= ${binary:Version}),
 librust-bat-0.19+walkdir-dev (= ${binary:Version}),
 librust-bat-0.19+wild-dev (= ${binary:Version}),
 librust-bat-0.19.0-dev (= ${binary:Version}),
 librust-bat-0.19.0+application-dev (= ${binary:Version}),
 librust-bat-0.19.0+atty-dev (= ${binary:Version}),
 librust-bat-0.19.0+build-assets-dev (= ${binary:Version}),
 librust-bat-0.19.0+clap-dev (= ${binary:Version}),
 librust-bat-0.19.0+default-dev (= ${binary:Version}),
 librust-bat-0.19.0+dirs-next-dev (= ${binary:Version}),
 librust-bat-0.19.0+git-dev (= ${binary:Version}),
 librust-bat-0.19.0+git2-dev (= ${binary:Version}),
 librust-bat-0.19.0+grep-cli-dev (= ${binary:Version}),
 librust-bat-0.19.0+minimal-application-dev (= ${binary:Version}),
 librust-bat-0.19.0+paging-dev (= ${binary:Version}),
 librust-bat-0.19.0+regex-dev (= ${binary:Version}),
 librust-bat-0.19.0+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0.19.0+regex-onig-dev (= ${binary:Version}),
 librust-bat-0.19.0+shell-words-dev (= ${binary:Version}),
 librust-bat-0.19.0+walkdir-dev (= ${binary:Version}),
 librust-bat-0.19.0+wild-dev (= ${binary:Version})
Description: Cat(1) clone with wings - Rust source code
 This package contains the source for the Rust bat crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: bat
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: cat(1) clone with syntax highlighting and git integration
 bat is a drop-in cat(1) replacement featuring:
 .
  * syntax highlighting for a large number of languages;
  * git integration;
  * automatic paging;
  * a user-friendly command-line interface.
 .
 In this package the executable and its manpage have been renamed from ‘bat’ to
 ‘batcat’ because of a file name clash with another Debian package.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.19.0 --all-targets --all-features
Features: test-name=rust-bat:@
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-nix-0.23+default-dev (>= 0.23.1-~~), librust-predicates-2+default-dev (>= 2.1.0-~~), librust-serial-test-0.5+default-dev (>= 0.5.1-~~), librust-tempfile-3+default-dev (>= 3.2.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.19.0 --all-targets --no-default-features --features application
Features: test-name=librust-bat-dev:application
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-nix-0.23+default-dev (>= 0.23.1-~~), librust-predicates-2+default-dev (>= 2.1.0-~~), librust-serial-test-0.5+default-dev (>= 0.5.1-~~), librust-tempfile-3+default-dev (>= 3.2.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.19.0 --all-targets --no-default-features --features atty
Features: test-name=librust-bat-dev:atty
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-nix-0.23+default-dev (>= 0.23.1-~~), librust-predicates-2+default-dev (>= 2.1.0-~~), librust-serial-test-0.5+default-dev (>= 0.5.1-~~), librust-tempfile-3+default-dev (>= 3.2.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.19.0 --all-targets --no-default-features --features build-assets
Features: test-name=librust-bat-dev:build-assets
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-nix-0.23+default-dev (>= 0.23.1-~~), librust-predicates-2+default-dev (>= 2.1.0-~~), librust-serial-test-0.5+default-dev (>= 0.5.1-~~), librust-tempfile-3+default-dev (>= 3.2.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.19.0 --all-targets --no-default-features --features clap
Features: test-name=librust-bat-dev:clap
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-nix-0.23+default-dev (>= 0.23.1-~~), librust-predicates-2+default-dev (>= 2.1.0-~~), librust-serial-test-0.5+default-dev (>= 0.5.1-~~), librust-tempfile-3+default-dev (>= 3.2.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.19.0 --all-targets 
Features: test-name=librust-bat-dev:default
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.2-~~), librust-nix-0.23+default-dev (>= 0.23.1-~~), librust-predicates-2+default-dev (>= 2.1.0-~~), librust-serial-test-0.5+default-dev (>= 0.5.1-~~), librust-tempfile-3+default-dev (>= 3.2.0-~~), librust-wait-timeout-0.2+default-dev, @

## rust-bat 0.21.0

=== debian/changelog ===
rust-bat (0.21.0-2) unstable; urgency=medium

  * Team upload.
  * Package bat 0.21.0 from crates.io using debcargo 2.5.0
  
  [ kpcyrd ]
  * Drop bump-dep.diff

 -- Peter Michael Green <plugwash@debian.org>  Sat, 09 Jul 2022 22:57:28 +0000

rust-bat (0.21.0-1) unstable; urgency=medium

  * Team upload.
  * Package bat 0.21.0 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Jun 2022 09:55:59 +0200

rust-bat (0.20.0-1) unstable; urgency=medium

  * Team upload.
  * Package bat 0.20.0 from crates.io using debcargo 2.5.0

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 05 Mar 2022 18:12:43 +0100

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,10 @@
  librust-ansi-term-0.12+default-dev (>= 0.12.1-~~),
  librust-atty-0.2+default-dev (>= 0.2.14-~~),
  librust-bincode-1+default-dev,
+ librust-bytesize-1+default-dev,
  librust-clap-2+default-dev,
  librust-clircle-0.3+default-dev,
- librust-console-0.13+default-dev,
+ librust-console-0.15+default-dev,
  librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
  librust-dirs-next-2+default-dev,
  librust-encoding-0.2+default-dev,
@@ -22,16 +23,16 @@
  librust-grep-cli-0.1+default-dev (>= 0.1.6-~~),
  librust-once-cell-1+default-dev (>= 1.9-~~),
  librust-path-abs-0.5-dev,
- librust-regex-1+default-dev,
+ librust-regex-1+default-dev (>= 1.5.5-~~),
  librust-semver-1+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-yaml-0.8+default-dev,
- librust-shell-words-1+default-dev,
- librust-syntect-4+dump-create-dev (>= 4.6.0-~~),
- librust-syntect-4+parsing-dev (>= 4.6.0-~~),
- librust-syntect-4+regex-onig-dev (>= 4.6.0-~~),
- librust-syntect-4+yaml-load-dev (>= 4.6.0-~~),
+ librust-shell-words-1+default-dev (>= 1.1.0-~~),
+ librust-syntect-5+parsing-dev,
+ librust-syntect-5+plist-load-dev,
+ librust-syntect-5+regex-onig-dev,
+ librust-syntect-5+yaml-load-dev,
  librust-thiserror-1+default-dev,
  librust-unicode-width-0.1+default-dev,
  librust-walkdir-2+default-dev,
@@ -58,9 +59,10 @@
  librust-ansi-term-0.12+default-dev (>= 0.12.1-~~),
  librust-atty-0.2+default-dev (>= 0.2.14-~~),
  librust-bincode-1+default-dev,
+ librust-bytesize-1+default-dev,
  librust-clap-2+default-dev,
  librust-clircle-0.3+default-dev,
- librust-console-0.13+default-dev,
+ librust-console-0.15+default-dev,
  librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
  librust-dirs-next-2+default-dev,
  librust-encoding-0.2+default-dev,
@@ -70,17 +72,17 @@
  librust-grep-cli-0.1+default-dev (>= 0.1.6-~~),
  librust-once-cell-1+default-dev (>= 1.9-~~),
  librust-path-abs-0.5-dev,
- librust-regex-1+default-dev,
+ librust-regex-1+default-dev (>= 1.5.5-~~),
  librust-semver-1+default-dev,
  librust-serde-1+default-dev,
  librust-serde-1+derive-dev,
  librust-serde-yaml-0.8+default-dev,
- librust-shell-words-1+default-dev,
- librust-syntect-4+dump-create-dev (>= 4.6.0-~~),
- librust-syntect-4+parsing-dev (>= 4.6.0-~~),
- librust-syntect-4+regex-fancy-dev (>= 4.6.0-~~),
- librust-syntect-4+regex-onig-dev (>= 4.6.0-~~),
- librust-syntect-4+yaml-load-dev (>= 4.6.0-~~),
+ librust-shell-words-1+default-dev (>= 1.1.0-~~),
+ librust-syntect-5+parsing-dev,
+ librust-syntect-5+plist-load-dev,
+ librust-syntect-5+regex-fancy-dev,
+ librust-syntect-5+regex-onig-dev,
+ librust-syntect-5+yaml-load-dev,
  librust-thiserror-1+default-dev,
  librust-unicode-width-0.1+default-dev,
  librust-walkdir-2+default-dev,
@@ -121,42 +123,42 @@
  librust-bat-0+shell-words-dev (= ${binary:Version}),
  librust-bat-0+walkdir-dev (= ${binary:Version}),
  librust-bat-0+wild-dev (= ${binary:Version}),
- librust-bat-0.19-dev (= ${binary:Version}),
- librust-bat-0.19+application-dev (= ${binary:Version}),
- librust-bat-0.19+atty-dev (= ${binary:Version}),
- librust-bat-0.19+build-assets-dev (= ${binary:Version}),
- librust-bat-0.19+clap-dev (= ${binary:Version}),
- librust-bat-0.19+default-dev (= ${binary:Version}),
- librust-bat-0.19+dirs-next-dev (= ${binary:Version}),
- librust-bat-0.19+git-dev (= ${binary:Version}),
- librust-bat-0.19+git2-dev (= ${binary:Version}),
- librust-bat-0.19+grep-cli-dev (= ${binary:Version}),
- librust-bat-0.19+minimal-application-dev (= ${binary:Version}),
- librust-bat-0.19+paging-dev (= ${binary:Version}),
- librust-bat-0.19+regex-dev (= ${binary:Version}),
- librust-bat-0.19+regex-fancy-dev (= ${binary:Version}),
- librust-bat-0.19+regex-onig-dev (= ${binary:Version}),
- librust-bat-0.19+shell-words-dev (= ${binary:Version}),
- librust-bat-0.19+walkdir-dev (= ${binary:Version}),
- librust-bat-0.19+wild-dev (= ${binary:Version}),
- librust-bat-0.19.0-dev (= ${binary:Version}),
- librust-bat-0.19.0+application-dev (= ${binary:Version}),
- librust-bat-0.19.0+atty-dev (= ${binary:Version}),
- librust-bat-0.19.0+build-assets-dev (= ${binary:Version}),
- librust-bat-0.19.0+clap-dev (= ${binary:Version}),
- librust-bat-0.19.0+default-dev (= ${binary:Version}),
- librust-bat-0.19.0+dirs-next-dev (= ${binary:Version}),
- librust-bat-0.19.0+git-dev (= ${binary:Version}),
- librust-bat-0.19.0+git2-dev (= ${binary:Version}),
- librust-bat-0.19.0+grep-cli-dev (= ${binary:Version}),
- librust-bat-0.19.0+minimal-application-dev (= ${binary:Version}),
- librust-bat-0.19.0+paging-dev (= ${binary:Version}),
- librust-bat-0.19.0+regex-dev (= ${binary:Version}),
- librust-bat-0.19.0+regex-fancy-dev (= ${binary:Version}),
- librust-bat-0.19.0+regex-onig-dev (= ${binary:Version}),
- librust-bat-0.19.0+shell-words-dev (= ${binary:Version}),
- librust-bat-0.19.0+walkdir-dev (= ${binary:Version}),
- librust-bat-0.19.0+wild-dev (= ${binary:Version})
+ librust-bat-0.21-dev (= ${binary:Version}),
+ librust-bat-0.21+application-dev (= ${binary:Version}),
+ librust-bat-0.21+atty-dev (= ${binary:Version}),
+ librust-bat-0.21+build-assets-dev (= ${binary:Version}),
+ librust-bat-0.21+clap-dev (= ${binary:Version}),
+ librust-bat-0.21+default-dev (= ${binary:Version}),
+ librust-bat-0.21+dirs-next-dev (= ${binary:Version}),
+ librust-bat-0.21+git-dev (= ${binary:Version}),
+ librust-bat-0.21+git2-dev (= ${binary:Version}),
+ librust-bat-0.21+grep-cli-dev (= ${binary:Version}),
+ librust-bat-0.21+minimal-application-dev (= ${binary:Version}),
+ librust-bat-0.21+paging-dev (= ${binary:Version}),
+ librust-bat-0.21+regex-dev (= ${binary:Version}),
+ librust-bat-0.21+regex-fancy-dev (= ${binary:Version}),
+ librust-bat-0.21+regex-onig-dev (= ${binary:Version}),
+ librust-bat-0.21+shell-words-dev (= ${binary:Version}),
+ librust-bat-0.21+walkdir-dev (= ${binary:Version}),
+ librust-bat-0.21+wild-dev (= ${binary:Version}),
+ librust-bat-0.21.0-dev (= ${binary:Version}),
+ librust-bat-0.21.0+application-dev (= ${binary:Version}),
+ librust-bat-0.21.0+atty-dev (= ${binary:Version}),
+ librust-bat-0.21.0+build-assets-dev (= ${binary:Version}),
+ librust-bat-0.21.0+clap-dev (= ${binary:Version}),
+ librust-bat-0.21.0+default-dev (= ${binary:Version}),
+ librust-bat-0.21.0+dirs-next-dev (= ${binary:Version}),
+ librust-bat-0.21.0+git-dev (= ${binary:Version}),
+ librust-bat-0.21.0+git2-dev (= ${binary:Version}),
+ librust-bat-0.21.0+grep-cli-dev (= ${binary:Version}),
+ librust-bat-0.21.0+minimal-application-dev (= ${binary:Version}),
+ librust-bat-0.21.0+paging-dev (= ${binary:Version}),
+ librust-bat-0.21.0+regex-dev (= ${binary:Version}),
+ librust-bat-0.21.0+regex-fancy-dev (= ${binary:Version}),
+ librust-bat-0.21.0+regex-onig-dev (= ${binary:Version}),
+ librust-bat-0.21.0+shell-words-dev (= ${binary:Version}),
+ librust-bat-0.21.0+walkdir-dev (= ${binary:Version}),
+ librust-bat-0.21.0+wild-dev (= ${binary:Version})
 Description: Cat(1) clone with wings - Rust source code
  This package contains the source for the Rust bat crate, packaged by debcargo
  for use with cargo and dh-cargo.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.21.0 --all-targets --all-features
Features: test-name=rust-bat:@
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.4-~~), librust-nix-0.24+term-dev (>= 0.24.1-~~), librust-predicates-2+default-dev (>= 2.1.1-~~), librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.21.0 --all-targets --no-default-features --features application
Features: test-name=librust-bat-dev:application
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.4-~~), librust-nix-0.24+term-dev (>= 0.24.1-~~), librust-predicates-2+default-dev (>= 2.1.1-~~), librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.21.0 --all-targets --no-default-features --features atty
Features: test-name=librust-bat-dev:atty
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.4-~~), librust-nix-0.24+term-dev (>= 0.24.1-~~), librust-predicates-2+default-dev (>= 2.1.1-~~), librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.21.0 --all-targets --no-default-features --features build-assets
Features: test-name=librust-bat-dev:build-assets
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.4-~~), librust-nix-0.24+term-dev (>= 0.24.1-~~), librust-predicates-2+default-dev (>= 2.1.1-~~), librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.21.0 --all-targets --no-default-features --features clap
Features: test-name=librust-bat-dev:clap
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.4-~~), librust-nix-0.24+term-dev (>= 0.24.1-~~), librust-predicates-2+default-dev (>= 2.1.1-~~), librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.21.0 --all-targets 
Features: test-name=librust-bat-dev:default
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.4-~~), librust-nix-0.24+term-dev (>= 0.24.1-~~), librust-predicates-2+default-dev (>= 2.1.1-~~), librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

## rust-bat 0.22.1

=== debian/changelog ===
rust-bat (0.22.1-4) unstable; urgency=medium

  * Non-maintainer upload.
  * revert the renaming (closes: #1029504)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 17 Apr 2023 22:26:25 +0200

rust-bat (0.22.1-3) unstable; urgency=medium

  * Team upload.
  * Package bat 0.22.1 from crates.io using debcargo 2.6.0
  * Ship bat as bat (instead of batcat) (Closes: #1029096)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 21 Jan 2023 11:47:18 +0100

rust-bat (0.22.1-2) unstable; urgency=medium

  * Team upload.
  * Package bat 0.22.1 from crates.io using debcargo 2.6.0
  * Bump git2 dependency to 0.16

 -- Peter Michael Green <plugwash@debian.org>  Thu, 12 Jan 2023 14:14:45 +0000

rust-bat (0.22.1-1) unstable; urgency=medium

  * Package bat 0.22.1 from crates.io using debcargo 2.5.0
  * Update dependency patches for new upstream and current situation in Debian.
  * Bump some old dependencies so -Z minimal-versions can be used for debugging.

  [ Sylvestre Ledru ]
  * Team upload.
  * Package bat 0.22.1 from crates.io using debcargo 2.5.0

 -- Peter Michael Green <plugwash@debian.org>  Sat, 08 Oct 2022 09:17:18 +0000

=== debian/control ===
Source: rust-bat
Section: utils
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ansi-colours-1+default-dev,
 librust-ansi-term-0.12+default-dev (>= 0.12.1-~~),
 librust-atty-0.2+default-dev (>= 0.2.14-~~),
 librust-bincode-1+default-dev,
 librust-bytesize-1+default-dev,
 librust-clap-3+cargo-dev (>= 3.2.20-~~),
 librust-clap-3+color-dev (>= 3.2.20-~~),
 librust-clap-3+default-dev (>= 3.2.20-~~),
 librust-clap-3+std-dev (>= 3.2.20-~~),
 librust-clap-3+suggestions-dev (>= 3.2.20-~~),
 librust-clap-3+wrap-help-dev (>= 3.2.20-~~),
 librust-clircle-0.3+default-dev,
 librust-console-0.15+default-dev (>= 0.15.1-~~),
 librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
 librust-dirs-next-2+default-dev,
 librust-encoding-0.2+default-dev (>= 0.2.33-~~),
 librust-flate2-1+default-dev (>= 1.0.22-~~),
 librust-git2-0.16-dev,
 librust-globset-0.4+default-dev,
 librust-grep-cli-0.1+default-dev (>= 0.1.6-~~),
 librust-once-cell-1+default-dev (>= 1.13-~~),
 librust-path-abs-0.5-dev,
 librust-regex-1+default-dev (>= 1.6.0-~~),
 librust-semver-1+default-dev,
 librust-serde-1+default-dev (>= 1.0.142-~~),
 librust-serde-1+derive-dev (>= 1.0.142-~~),
 librust-serde-yaml-0.8+default-dev,
 librust-shell-words-1+default-dev (>= 1.1.0-~~),
 librust-syntect-5+parsing-dev,
 librust-syntect-5+plist-load-dev,
 librust-syntect-5+regex-onig-dev,
 librust-syntect-5+yaml-load-dev,
 librust-thiserror-1+default-dev (>= 1.0.30-~~),
 librust-unicode-width-0.1+default-dev (>= 0.1.9-~~),
 librust-walkdir-2+default-dev,
 librust-wild-2+default-dev (>= 2.1-~~),
 dh-exec,
 librust-term-size-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Paride Legovini <paride@debian.org>,
 Helen Koike <helen@koikeco.de>,
 Sylvestre ledru <sylvestre@debian.org>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/bat]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/bat
Homepage: https://github.com/sharkdp/bat
X-Cargo-Crate: bat
Rules-Requires-Root: no

Package: librust-bat-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-ansi-colours-1+default-dev,
 librust-ansi-term-0.12+default-dev (>= 0.12.1-~~),
 librust-atty-0.2+default-dev (>= 0.2.14-~~),
 librust-bincode-1+default-dev,
 librust-bytesize-1+default-dev,
 librust-clap-3+cargo-dev (>= 3.2.20-~~),
 librust-clap-3+color-dev (>= 3.2.20-~~),
 librust-clap-3+default-dev (>= 3.2.20-~~),
 librust-clap-3+std-dev (>= 3.2.20-~~),
 librust-clap-3+suggestions-dev (>= 3.2.20-~~),
 librust-clap-3+wrap-help-dev (>= 3.2.20-~~),
 librust-clircle-0.3+default-dev,
 librust-console-0.15+default-dev (>= 0.15.1-~~),
 librust-content-inspector-0.2+default-dev (>= 0.2.4-~~),
 librust-dirs-next-2+default-dev,
 librust-encoding-0.2+default-dev (>= 0.2.33-~~),
 librust-flate2-1+default-dev (>= 1.0.22-~~),
 librust-git2-0.16-dev,
 librust-globset-0.4+default-dev,
 librust-grep-cli-0.1+default-dev (>= 0.1.6-~~),
 librust-once-cell-1+default-dev (>= 1.13-~~),
 librust-path-abs-0.5-dev,
 librust-regex-1+default-dev (>= 1.6.0-~~),
 librust-semver-1+default-dev,
 librust-serde-1+default-dev (>= 1.0.142-~~),
 librust-serde-1+derive-dev (>= 1.0.142-~~),
 librust-serde-yaml-0.8+default-dev,
 librust-shell-words-1+default-dev (>= 1.1.0-~~),
 librust-syntect-5+parsing-dev,
 librust-syntect-5+plist-load-dev,
 librust-syntect-5+regex-fancy-dev,
 librust-syntect-5+regex-onig-dev,
 librust-syntect-5+yaml-load-dev,
 librust-thiserror-1+default-dev (>= 1.0.30-~~),
 librust-unicode-width-0.1+default-dev (>= 0.1.9-~~),
 librust-walkdir-2+default-dev,
 librust-wild-2+default-dev (>= 2.1-~~)
Provides:
 librust-bat+application-dev (= ${binary:Version}),
 librust-bat+atty-dev (= ${binary:Version}),
 librust-bat+build-assets-dev (= ${binary:Version}),
 librust-bat+clap-dev (= ${binary:Version}),
 librust-bat+default-dev (= ${binary:Version}),
 librust-bat+dirs-next-dev (= ${binary:Version}),
 librust-bat+git-dev (= ${binary:Version}),
 librust-bat+git2-dev (= ${binary:Version}),
 librust-bat+grep-cli-dev (= ${binary:Version}),
 librust-bat+minimal-application-dev (= ${binary:Version}),
 librust-bat+paging-dev (= ${binary:Version}),
 librust-bat+regex-dev (= ${binary:Version}),
 librust-bat+regex-fancy-dev (= ${binary:Version}),
 librust-bat+regex-onig-dev (= ${binary:Version}),
 librust-bat+shell-words-dev (= ${binary:Version}),
 librust-bat+walkdir-dev (= ${binary:Version}),
 librust-bat+wild-dev (= ${binary:Version}),
 librust-bat-0-dev (= ${binary:Version}),
 librust-bat-0+application-dev (= ${binary:Version}),
 librust-bat-0+atty-dev (= ${binary:Version}),
 librust-bat-0+build-assets-dev (= ${binary:Version}),
 librust-bat-0+clap-dev (= ${binary:Version}),
 librust-bat-0+default-dev (= ${binary:Version}),
 librust-bat-0+dirs-next-dev (= ${binary:Version}),
 librust-bat-0+git-dev (= ${binary:Version}),
 librust-bat-0+git2-dev (= ${binary:Version}),
 librust-bat-0+grep-cli-dev (= ${binary:Version}),
 librust-bat-0+minimal-application-dev (= ${binary:Version}),
 librust-bat-0+paging-dev (= ${binary:Version}),
 librust-bat-0+regex-dev (= ${binary:Version}),
 librust-bat-0+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0+regex-onig-dev (= ${binary:Version}),
 librust-bat-0+shell-words-dev (= ${binary:Version}),
 librust-bat-0+walkdir-dev (= ${binary:Version}),
 librust-bat-0+wild-dev (= ${binary:Version}),
 librust-bat-0.22-dev (= ${binary:Version}),
 librust-bat-0.22+application-dev (= ${binary:Version}),
 librust-bat-0.22+atty-dev (= ${binary:Version}),
 librust-bat-0.22+build-assets-dev (= ${binary:Version}),
 librust-bat-0.22+clap-dev (= ${binary:Version}),
 librust-bat-0.22+default-dev (= ${binary:Version}),
 librust-bat-0.22+dirs-next-dev (= ${binary:Version}),
 librust-bat-0.22+git-dev (= ${binary:Version}),
 librust-bat-0.22+git2-dev (= ${binary:Version}),
 librust-bat-0.22+grep-cli-dev (= ${binary:Version}),
 librust-bat-0.22+minimal-application-dev (= ${binary:Version}),
 librust-bat-0.22+paging-dev (= ${binary:Version}),
 librust-bat-0.22+regex-dev (= ${binary:Version}),
 librust-bat-0.22+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0.22+regex-onig-dev (= ${binary:Version}),
 librust-bat-0.22+shell-words-dev (= ${binary:Version}),
 librust-bat-0.22+walkdir-dev (= ${binary:Version}),
 librust-bat-0.22+wild-dev (= ${binary:Version}),
 librust-bat-0.22.1-dev (= ${binary:Version}),
 librust-bat-0.22.1+application-dev (= ${binary:Version}),
 librust-bat-0.22.1+atty-dev (= ${binary:Version}),
 librust-bat-0.22.1+build-assets-dev (= ${binary:Version}),
 librust-bat-0.22.1+clap-dev (= ${binary:Version}),
 librust-bat-0.22.1+default-dev (= ${binary:Version}),
 librust-bat-0.22.1+dirs-next-dev (= ${binary:Version}),
 librust-bat-0.22.1+git-dev (= ${binary:Version}),
 librust-bat-0.22.1+git2-dev (= ${binary:Version}),
 librust-bat-0.22.1+grep-cli-dev (= ${binary:Version}),
 librust-bat-0.22.1+minimal-application-dev (= ${binary:Version}),
 librust-bat-0.22.1+paging-dev (= ${binary:Version}),
 librust-bat-0.22.1+regex-dev (= ${binary:Version}),
 librust-bat-0.22.1+regex-fancy-dev (= ${binary:Version}),
 librust-bat-0.22.1+regex-onig-dev (= ${binary:Version}),
 librust-bat-0.22.1+shell-words-dev (= ${binary:Version}),
 librust-bat-0.22.1+walkdir-dev (= ${binary:Version}),
 librust-bat-0.22.1+wild-dev (= ${binary:Version})
Description: Cat(1) clone with wings - Rust source code
 This package contains the source for the Rust bat crate, packaged by debcargo
 for use with cargo and dh-cargo.

Package: bat
Architecture: any
Multi-Arch: allowed
Section: utils
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: cat(1) clone with syntax highlighting and git integration
 bat is a drop-in cat(1) replacement featuring:
 .
  * syntax highlighting for a large number of languages;
  * git integration;
  * automatic paging;
  * a user-friendly command-line interface.
 .
 In this package the executable and its manpage have been renamed from ‘bat’ to
 ‘batcat’ because of a file name clash with another Debian package.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.22.1 --all-targets --all-features
Features: test-name=rust-bat:@
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.4-~~), librust-nix-0.24+term-dev (>= 0.24.2-~~), librust-predicates-2+default-dev (>= 2.1.1-~~), librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.22.1 --all-targets --no-default-features --features application
Features: test-name=librust-bat-dev:application
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.4-~~), librust-nix-0.24+term-dev (>= 0.24.2-~~), librust-predicates-2+default-dev (>= 2.1.1-~~), librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.22.1 --all-targets --no-default-features --features atty
Features: test-name=librust-bat-dev:atty
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.4-~~), librust-nix-0.24+term-dev (>= 0.24.2-~~), librust-predicates-2+default-dev (>= 2.1.1-~~), librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.22.1 --all-targets --no-default-features --features build-assets
Features: test-name=librust-bat-dev:build-assets
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.4-~~), librust-nix-0.24+term-dev (>= 0.24.2-~~), librust-predicates-2+default-dev (>= 2.1.1-~~), librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.22.1 --all-targets --no-default-features --features clap
Features: test-name=librust-bat-dev:clap
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.4-~~), librust-nix-0.24+term-dev (>= 0.24.2-~~), librust-predicates-2+default-dev (>= 2.1.1-~~), librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test bat 0.22.1 --all-targets
Features: test-name=librust-bat-dev:default
Depends: dh-cargo (>= 18), librust-assert-cmd-2+default-dev (>= 2.0.4-~~), librust-nix-0.24+term-dev (>= 0.24.2-~~), librust-predicates-2+default-dev (>= 2.1.1-~~), librust-serial-test-0.6+default-dev, librust-tempfile-3+default-dev (>= 3.3.0-~~), librust-wait-timeout-0.2+default-dev, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/bat-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/bat .*/crates/bat/@ANY_VERSION@/download
